Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IHyperlink

All Known Implementing Classes:
  FEditorPane, FTextPane

public interface IHyperlink

Interface fuer HyperlinkEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer HyperlinkEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addHyperlinkListener(HyperlinkListener listener)` Fuegt dem Control den uebergebenen Listener als HyperlinkListener hinzu.
`String` | `getActionClassForHyperlink()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein HyperlinkEvent ausgeloest wurde.
`void` | `removeHyperlinkListener(HyperlinkListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForHyperlink(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HyperlinkEvent ausgeloest wurde.

Method Detail

### getActionClassForHyperlink

    public String getActionClassForHyperlink()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein HyperlinkEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer HyperlinkEvent.

### setActionClassForHyperlink

    public void setActionClassForHyperlink(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HyperlinkEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HyperlinkEvent.

### addHyperlinkListener

    public void addHyperlinkListener(HyperlinkListener listener)

  Fuegt dem Control den uebergebenen Listener als HyperlinkListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende HyperlinkListener.

### removeHyperlinkListener

    public void removeHyperlinkListener(HyperlinkListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD